Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMSVGColor.FloatComponent

    java.lang.Object
      org.apache.batik.css.dom.CSSOMSVGColor.AbstractComponent
          org.apache.batik.css.dom.CSSOMSVGColor.FloatComponent

All Implemented Interfaces:
  CSSPrimitiveValue, CSSValue

Direct Known Subclasses:
  CSSOMSVGColor.BlueComponent, CSSOMSVGColor.GreenComponent, CSSOMSVGColor.RedComponent

Enclosing class:
  CSSOMSVGColor

    protected abstract class CSSOMSVGColor.FloatComponent

extends CSSOMSVGColor.AbstractComponent

To store a Float component.

Field Summary

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`protected` | `CSSOMSVGColor.FloatComponent()`

Method Summary
`void` | `setStringValue(short stringType, String stringValue)` DOM: Implements `CSSPrimitiveValue.setStringValue(short,String)`.

Methods inherited from class org.apache.batik.css.dom.CSSOMSVGColor.AbstractComponent
`getCounterValue, getCssText, getCssValueType, getFloatValue, getLength, getPrimitiveType, getRectValue, getRGBColorValue, getStringValue, getValue, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`setFloatValue`

Methods inherited from interface org.w3c.dom.css.CSSValue
`setCssText`

Constructor Detail

### CSSOMSVGColor.FloatComponent

    protected CSSOMSVGColor.FloatComponent()

Method Detail

### setStringValue

    public void setStringValue(short stringType,
                               String stringValue)
                        throws DOMException

  DOM: Implements `CSSPrimitiveValue.setStringValue(short,String)`.

  Throws:
    `DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.